Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.border
Class MatteBorderExt

    java.lang.Object
      javax.swing.border.AbstractBorder
          javax.swing.border.EmptyBorder
              javax.swing.border.MatteBorder
                  org.jdesktop.swingx.border.MatteBorderExt

All Implemented Interfaces:
  java.io.Serializable, javax.swing.border.Border

    public class MatteBorderExt

extends javax.swing.border.MatteBorder

Matte border that allows specialized icons for corners and sides.

Author:
  Ramesh Gupta
See Also:
  Serialized Form

Field Summary
`protected javax.swing.Icon[]` | `tileIcons`

Fields inherited from class javax.swing.border.MatteBorder
`color, tileIcon`

Fields inherited from class javax.swing.border.EmptyBorder
`bottom, left, right, top`

Constructor Summary
`MatteBorderExt(javax.swing.Icon tileIcon)`
`MatteBorderExt(java.awt.Insets borderInsets, java.awt.Color matteColor)`
`MatteBorderExt(java.awt.Insets borderInsets, javax.swing.Icon tileIcon)`
`MatteBorderExt(int top, int left, int bottom, int right, java.awt.Color matteColor)`
`MatteBorderExt(int top, int left, int bottom, int right, javax.swing.Icon tileIcon)`
`MatteBorderExt(int top, int left, int bottom, int right, javax.swing.Icon[] tileIcons)` Draws a matte border using specialized icons for corners and sides.

Method Summary
`protected javax.swing.Icon` | `getDefaultIcon()` Only called by paintBorder()
`javax.swing.Icon[]` | `getTileIcons()` Returns the icons used by this border
`protected void` | `paint(javax.swing.Icon icon, java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`
`protected void` | `paintBottom(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Only called by paintBorder()
`protected void` | `paintBottomLeft(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Only called by paintBorder()
`protected void` | `paintBottomRight(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Only called by paintBorder()
`protected void` | `paintLeft(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Only called by paintBorder()
`protected void` | `paintRight(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Only called by paintBorder()
`protected void` | `paintTop(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Only called by paintBorder()
`protected void` | `paintTopLeft(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Only called by paintBorder()
`protected void` | `paintTopRight(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Only called by paintBorder()

Methods inherited from class javax.swing.border.MatteBorder
`getBorderInsets, getBorderInsets, getBorderInsets, getMatteColor, getTileIcon, isBorderOpaque`

Methods inherited from class javax.swing.border.AbstractBorder
`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tileIcons

    protected javax.swing.Icon[] tileIcons

Constructor Detail

### MatteBorderExt

    public MatteBorderExt(int top,
                          int left,
                          int bottom,
                          int right,
                          javax.swing.Icon[] tileIcons)

  Draws a matte border using specialized icons for corners and sides. If tileIcons is null, or if the length of tileIcons array is less than 2, this defaults to the `superclass` behavior. Otherwise, tileIcons must specify icons in clockwise order, starting with the top-left icon at index zero, culminating with the left icon at index 7. If the length of the tileIcons array is greater than 1, but less than 8, then tileIcons[0] is used to paint the corners, and tileIcons[1] is used to paint the sides, with icons rotated as necessary. Other icons, if any, are ignored.

  Parameters:
    `top` - top inset
    `left` - left inset
    `bottom` - bottom inset
    `right` - right inset
    `tileIcons` - array of icons starting with top-left in index 0, continuing clockwise through the rest of the indices

### MatteBorderExt

    public MatteBorderExt(int top,
                          int left,
                          int bottom,
                          int right,
                          java.awt.Color matteColor)

See Also:
  `MatteBorder.MatteBorder(int, int, int, int, java.awt.Color)`

### MatteBorderExt

    public MatteBorderExt(java.awt.Insets borderInsets,
                          java.awt.Color matteColor)

See Also:
  `MatteBorder.MatteBorder(java.awt.Insets, java.awt.Color)`

### MatteBorderExt

    public MatteBorderExt(int top,
                          int left,
                          int bottom,
                          int right,
                          javax.swing.Icon tileIcon)

See Also:
  `MatteBorder.MatteBorder(int, int, int, int, javax.swing.Icon)`

### MatteBorderExt

    public MatteBorderExt(java.awt.Insets borderInsets,
                          javax.swing.Icon tileIcon)

See Also:
  `MatteBorder.MatteBorder(java.awt.Insets, javax.swing.Icon)`

### MatteBorderExt

    public MatteBorderExt(javax.swing.Icon tileIcon)

See Also:
  `MatteBorder.MatteBorder(javax.swing.Icon)`

Method Detail

### getTileIcons

    public javax.swing.Icon[] getTileIcons()

  Returns the icons used by this border

  Returns:
    the icons used by this border

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`
  Overrides:
    `paintBorder` in class `javax.swing.border.MatteBorder`

### paint

    protected void paint(javax.swing.Icon icon,
                         java.awt.Component c,
                         java.awt.Graphics g,
                         int x,
                         int y,
                         int width,
                         int height)

### paintTopLeft

    protected void paintTopLeft(java.awt.Component c,
                                java.awt.Graphics g,
                                int x,
                                int y,
                                int width,
                                int height)

  Only called by paintBorder()

### paintTop

    protected void paintTop(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Only called by paintBorder()

### paintTopRight

    protected void paintTopRight(java.awt.Component c,
                                 java.awt.Graphics g,
                                 int x,
                                 int y,
                                 int width,
                                 int height)

  Only called by paintBorder()

### paintRight

    protected void paintRight(java.awt.Component c,
                              java.awt.Graphics g,
                              int x,
                              int y,
                              int width,
                              int height)

  Only called by paintBorder()

### paintBottomRight

    protected void paintBottomRight(java.awt.Component c,
                                    java.awt.Graphics g,
                                    int x,
                                    int y,
                                    int width,
                                    int height)

  Only called by paintBorder()

### paintBottom

    protected void paintBottom(java.awt.Component c,
                               java.awt.Graphics g,
                               int x,
                               int y,
                               int width,
                               int height)

  Only called by paintBorder()

### paintBottomLeft

    protected void paintBottomLeft(java.awt.Component c,
                                   java.awt.Graphics g,
                                   int x,
                                   int y,
                                   int width,
                                   int height)

  Only called by paintBorder()

### paintLeft

    protected void paintLeft(java.awt.Component c,
                             java.awt.Graphics g,
                             int x,
                             int y,
                             int width,
                             int height)

  Only called by paintBorder()

### getDefaultIcon

    protected javax.swing.Icon getDefaultIcon()

  Only called by paintBorder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.